WKSContentParsingState Struct Reference documentation

WKSContentParsingState Struct Reference

the spreadsheet state More...

## Public Member Functions
| WKSContentParsingState ()
| ~WKSContentParsingState ()

## Public Attributes
bool | m_isPageSpanOpened
bool | m_isFrameOpened
unsigned | m_currentPage
int | m_numPagesRemainingInSpan
int | m_currentPageNumber
double | m_pageFormLength
double | m_pageFormWidth
bool | m_pageFormOrientationIsPortrait
double | m_pageMarginLeft
double | m_pageMarginRight
double | m_pageMarginTop
double | m_pageMarginBottom
librevenge::RVNGString | m_textBuffer
int | m_numDeferredTabs
WPSFont | m_font
WPSParagraph | m_paragraph
bool | m_isGroupOpened
| a flag to know if openGroup was called
bool | m_isParagraphColumnBreak
bool | m_isParagraphPageBreak
bool | m_isSpanOpened
bool | m_isParagraphOpened
bool | m_isSheetOpened
bool | m_isSheetRowOpened
bool | m_isSheetCellOpened
bool | m_inSubDocument
bool | m_isNote
libwps::SubDocumentType | m_subDocumentType

## Private Member Functions
| WKSContentParsingState (const WKSContentParsingState &)=delete
WKSContentParsingState & | operator= (const WKSContentParsingState &)=delete

## Detailed Description

the spreadsheet state

## Constructor & Destructor Documentation

## ◆ WKSContentParsingState() [1/2]

WKSContentParsingState::WKSContentParsingState | ( |  | ) |

Referenced by operator=(), and WKSContentParsingState().

## ◆ ~WKSContentParsingState()

WKSContentParsingState::~WKSContentParsingState | ( |  | ) |

## ◆ WKSContentParsingState() [2/2]

WKSContentParsingState::WKSContentParsingState | ( | const WKSContentParsingState & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

WKSContentParsingState & WKSContentParsingState::operator= | ( | const WKSContentParsingState & |  | ) |
| privatedelete

## Member Data Documentation

## ◆ m_currentPage

unsigned WKSContentParsingState::m_currentPage

Referenced by WKSContentParsingState().

## ◆ m_currentPageNumber

int WKSContentParsingState::m_currentPageNumber

Referenced by WKSContentParsingState().

## ◆ m_font

WPSFont WKSContentParsingState::m_font

Referenced by WKSContentParsingState().

## ◆ m_inSubDocument

bool WKSContentParsingState::m_inSubDocument

Referenced by WKSContentParsingState().

## ◆ m_isFrameOpened

bool WKSContentParsingState::m_isFrameOpened

Referenced by WKSContentParsingState().

## ◆ m_isGroupOpened

bool WKSContentParsingState::m_isGroupOpened

a flag to know if openGroup was called

Referenced by WKSContentParsingState().

## ◆ m_isNote

bool WKSContentParsingState::m_isNote

Referenced by WKSContentParsingState().

## ◆ m_isPageSpanOpened

bool WKSContentParsingState::m_isPageSpanOpened

Referenced by WKSContentParsingState().

## ◆ m_isParagraphColumnBreak

bool WKSContentParsingState::m_isParagraphColumnBreak

Referenced by WKSContentParsingState().

## ◆ m_isParagraphOpened

bool WKSContentParsingState::m_isParagraphOpened

Referenced by WKSContentParsingState().

## ◆ m_isParagraphPageBreak

bool WKSContentParsingState::m_isParagraphPageBreak

Referenced by WKSContentParsingState().

## ◆ m_isSheetCellOpened

bool WKSContentParsingState::m_isSheetCellOpened

Referenced by WKSContentParsingState().

## ◆ m_isSheetOpened

bool WKSContentParsingState::m_isSheetOpened

Referenced by WKSContentParsingState().

## ◆ m_isSheetRowOpened

bool WKSContentParsingState::m_isSheetRowOpened

Referenced by WKSContentParsingState().

## ◆ m_isSpanOpened

bool WKSContentParsingState::m_isSpanOpened

Referenced by WKSContentParsingState().

## ◆ m_numDeferredTabs

int WKSContentParsingState::m_numDeferredTabs

Referenced by WKSContentParsingState().

## ◆ m_numPagesRemainingInSpan

int WKSContentParsingState::m_numPagesRemainingInSpan

Referenced by WKSContentParsingState().

## ◆ m_pageFormLength

double WKSContentParsingState::m_pageFormLength

Referenced by WKSContentParsingState().

## ◆ m_pageFormOrientationIsPortrait

bool WKSContentParsingState::m_pageFormOrientationIsPortrait

Referenced by WKSContentParsingState().

## ◆ m_pageFormWidth

double WKSContentParsingState::m_pageFormWidth

Referenced by WKSContentParsingState().

## ◆ m_pageMarginBottom

double WKSContentParsingState::m_pageMarginBottom

Referenced by WKSContentParsingState().

## ◆ m_pageMarginLeft

double WKSContentParsingState::m_pageMarginLeft

Referenced by WKSContentParsingState().

## ◆ m_pageMarginRight

double WKSContentParsingState::m_pageMarginRight

Referenced by WKSContentParsingState().

## ◆ m_pageMarginTop

double WKSContentParsingState::m_pageMarginTop

Referenced by WKSContentParsingState().

## ◆ m_paragraph

WPSParagraph WKSContentParsingState::m_paragraph

Referenced by WKSContentParsingState().

## ◆ m_subDocumentType

libwps::SubDocumentType WKSContentParsingState::m_subDocumentType

Referenced by WKSContentParsingState().

## ◆ m_textBuffer

librevenge::RVNGString WKSContentParsingState::m_textBuffer

Referenced by WKSContentParsingState().

The documentation for this struct was generated from the following file:

- WKSContentListener.cpp